from dataclasses import dataclass, field


@dataclass
class Context:
    identifier: str
    path: str
    product_type: str = None
    product_level: str = None
    metadata: dict = field(default_factory=dict)
    raster_files: dict = field(default_factory=dict)
    metadata_files: dict = field(default_factory=dict)
    masks: dict = field(default_factory=dict)
    mask_files: dict = field(default_factory=dict)
